package iteration;

/** Programme à exécuter pas à pas.
 */
public interface Iteration {
  /** L’exécution de ce programme est-elle terminée ?
   * @return l’exécution est terminée
   */
  boolean isDone();

  /** Avancer d’un pas.
   * Ne fait rien si l’exécution est terminée.
   * @return cet objet
   */
  Iteration step();
}
